Bug 233135 - databases/mariadb103-server fails to build/link
Summary: databases/mariadb103-server fails to build/link
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL: https://jira.mariadb.org/browse/MDEV-...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-11 11:58 UTC by Dries Michiels
Modified: 2018-11-26 16:13 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (brnrd)


Attachments
Synth log (snipped, as to long to upload completely) (128.84 KB, text/plain)
2018-11-11 12:02 UTC, Dries Michiels
no flags Details
Full Synth build-log zipped (84.61 KB, application/x-zip-compressed)
2018-11-11 12:32 UTC, Dries Michiels
no flags Details
Partially revert the previous port update to fix build/link (580 bytes, patch)
2018-11-12 10:25 UTC, Ralf van der Enden
brnrd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels freebsd_committer 2018-11-11 11:58:34 UTC
Hi, I use Synth to build my packages. I'm getting build/linking errors with latest mariadb port. Synth log in attachments.
Comment 1 Dries Michiels freebsd_committer 2018-11-11 12:02:29 UTC
Created attachment 199132 [details]
Synth log (snipped, as to long to upload completely)
Comment 2 Bernard Spil freebsd_committer 2018-11-11 12:24:03 UTC
Hi Dries,

I have had that problem too (see URL in PR metadata). Can't reproduce this any longer. You can upload the full build log gzipped or provide a link.

The issue is somewhere upstream, the linker misses `../../storage/innobase/libinnobase.a`. Waiting for upstream comments
Comment 3 Dries Michiels freebsd_committer 2018-11-11 12:32:11 UTC
Created attachment 199135 [details]
Full Synth build-log zipped
Comment 4 Bernard Spil freebsd_committer 2018-11-12 09:06:39 UTC
This also pops up on the FreeBSD package builders http://package19.nyi.freebsd.org/data/112amd64-default-build-as-user/484649/logs/mariadb103-server-10.3.10_1.log
Comment 5 Ralf van der Enden 2018-11-12 09:52:51 UTC
I have the same issue as well (INNOBASE enabled, which is different from the original reporter's settings). The weird thing is, it built fine a little while ago.

Buildlog: https://pkg.cainites.net/data/freebsd_11x64-system/2018-11-12_09h52m21s/logs/errors/mariadb103-server-10.3.10_1.log
Comment 6 Ralf van der Enden 2018-11-12 10:17:26 UTC
I just reverted my mariadb103-server port to r483143 (the one before removal of the XTRADB knob) and rebuilt using poudriere. Works fine for me.

Log: https://pkg.cainites.net/data/freebsd_11x64-system/2018-11-12_11h01m05s/logs/mariadb103-server-10.3.10_1.log
Comment 7 Ralf van der Enden 2018-11-12 10:25:10 UTC
Created attachment 199160 [details]
Partially revert the previous port update to fix build/link

This patch adds back some lines removed in the latest update of the port. Works fine with INNOBASE enabled and disabled.

INNOBASE=ON: https://pkg.cainites.net/data/freebsd_11x64-system/2018-11-12_11h20m32s/logs/mariadb103-server-10.3.10_1.log
INNOBASE=OFF: https://pkg.cainites.net/data/freebsd_11x64-system/2018-11-12_11h14m18s/logs/mariadb103-server-10.3.10_1.log
Comment 8 Bernard Spil freebsd_committer 2018-11-12 14:39:48 UTC
Comment on attachment 199160 [details]
Partially revert the previous port update to fix build/link

Found this out indepentently too.

Checking this change as well as the post-configure-INNOBASE-on target and will commit shortly.
Comment 9 commit-hook freebsd_committer 2018-11-12 16:59:51 UTC
A commit references this bug:

Author: brnrd
Date: Mon Nov 12 16:58:52 UTC 2018
New revision: 484810
URL: https://svnweb.freebsd.org/changeset/ports/484810

Log:
  databases/mariadb103-server: Fix linking issue

   - Link issues when INNOBASE is set to DYNAMIC [1]
   - While here, remove MDEV-14072 fix

  [1]: https://jira.mariadb.org/browse/MDEV-17560

  PR:		233135
  Submitted by:	Ralf van der Enden <tremere cainites net>
  Reported by:	Dries Michiels <driesm michiels gmail com>

Changes:
  head/databases/mariadb103-server/Makefile
Comment 10 Bernard Spil freebsd_committer 2018-11-12 17:28:22 UTC
Thanks for reporting and providing a patch!
Comment 11 commit-hook freebsd_committer 2018-11-26 16:13:25 UTC
A commit references this bug:

Author: brnrd
Date: Mon Nov 26 16:13:16 UTC 2018
New revision: 485944
URL: https://svnweb.freebsd.org/changeset/ports/485944

Log:
  MFH: r484613 r484810 r485783

  databases/mariadb103-server: Remove XTRADB option

   - The XtraDB engine was removed from 10.3
   - Fix plist conflict for TOKUDB option [1]

  PR:		232906 [1]
  Submitted by:	Oleg Sidorkin <osidorkin gmail com>

  databases/mariadb103-server: Fix linking issue

   - Link issues when INNOBASE is set to DYNAMIC [1]
   - While here, remove MDEV-14072 fix

  [1]: https://jira.mariadb.org/browse/MDEV-17560

  PR:		233135
  Submitted by:	Ralf van der Enden <tremere cainites net>
  Reported by:	Dries Michiels <driesm michiels gmail com>

  databases/mariadb103-server: Security update to 10.3.11

   - Add workaround for LZ4, SNAPPY build issues [1]

  PR:		233212 [1]
  Reported by:	Peter Putzer <freebsd mnd sc>
  Security:	ec5072b0-d43a-11e8-a6d2-b499baebfeaf

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/databases/mariadb103-client/pkg-plist
  branches/2018Q4/databases/mariadb103-server/Makefile
  branches/2018Q4/databases/mariadb103-server/distinfo
  branches/2018Q4/databases/mariadb103-server/pkg-plist